function::return_str
Prev | Chapter 18. Errno Tapset | Next

## Name

function::return_str — Formats the return value as a string

## Synopsis

        return_str:string(format:long,ret:long)

## Arguments

`format`

  Variable to determine return type base value

`ret`

  Return value (typically `$return`)

## Description

This function is used by the syscall tapset, and returns a string. Set format equal to 1 for a decimal, 2 for hex, 3 for octal.

Note that this function is preferred over `returnstr`.

Prev | Up | Next
function::errno_str | Home | function::returnstr